Loading...
Searching...
No Matches
apache::subversion::svnxx::allocation_failed Class Reference

Exception type that will be thrown when memory allocation fails. More...

`#include <svnxx/exception.hpp>`

Inheritance diagram for apache::subversion::svnxx::allocation_failed:

## Public Member Functions

virtual const char * | what () const noexcept override

## Protected Member Functions

| allocation_failed (const char *what_arg) noexcept

## Detailed Description

Exception type that will be thrown when memory allocation fails.

Definition at line 91 of file exception.hpp.

## Constructor & Destructor Documentation

## ~allocation_failed()

virtual apache::subversion::svnxx::allocation_failed::~allocation_failed | ( |  | ) |

inline virtual noexcept

Definition at line 94 of file exception.hpp.

## allocation_failed()

apache::subversion::svnxx::allocation_failed::allocation_failed | ( | const char * | what_arg | ) |

inline explicit protected noexcept

Definition at line 102 of file exception.hpp.

## Member Function Documentation

## what()

virtual const char * apache::subversion::svnxx::allocation_failed::what | ( |  | ) | const

inline override virtual noexcept

Definition at line 96 of file exception.hpp.

The documentation for this class was generated from the following file:

- svnxx/exception.hpp